Bug 1012584 - RBAC: Authorization error on access to Transaction logs
RBAC: Authorization error on access to Transaction logs
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ER4
: EAP 6.2.0
Assigned To: Heiko Braun
Jakub Cechacek
Russell Dickenson
Depends On:
Blocks: 1014047
  Show dependency treegraph
Reported: 2013-09-26 12:45 EDT by Jakub Cechacek
Modified: 2013-12-15 11:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-12-15 11:23:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-220 Major Resolved Authorization error on access to Transaction logs 2016-11-15 06:17 EST

  None (edit)
Description Jakub Cechacek 2013-09-26 12:45:50 EDT
Accessing Runtime - Subsystems - Transaction logs will raise an Auth error - as it seems that probe operation is performed on access to this page. However only global scope administrators have permissions to do so. 

 Thu Sep 26 18:40:09 GMT+200 2013
Unknown error

Unexpected HTTP response: 500

    "address" => [
        ("host" => "master"),
        ("server" => "server-two"),
        ("subsystem" => "transactions"),
        ("log-store" => "log-store")
    "operation" => "probe"


Internal Server Error
    "outcome" => "failed",
    "result" => undefined,
    "failure-description" => "JBAS014749: Operation handler failed: JBAS011360: Unauthorized access",
    "rolled-back" => true
Comment 1 JBoss JIRA Server 2013-09-30 08:44:36 EDT
Heiko Braun <ike.braun@googlemail.com> updated the status of jira HAL-220 to Resolved
Comment 2 Vladimir Dosoudil 2013-10-01 08:06:18 EDT
Moving back to ASSIGNED (https://docspace.corp.redhat.com/docs/DOC-154626).
There's no PR to eap 6.x github repo https://github.com/jbossas/jboss-eap/
Comment 3 Vladimir Dosoudil 2013-10-01 08:48:55 EDT
The umbrella issue 1014047 is available now.
Comment 7 Jakub Cechacek 2013-10-08 12:15:50 EDT
Verified 6.2.0.ER5

Note You need to log in before you can comment on or make changes to this bug.